/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : resend_dc.c
 *   작 성 자 : 오효섭
 *   작 성 일 : 2024.12.27
 *   수 정 일 : 
 *   설    명 : 
 *
 *========================================================================
*/

#include    <stdio.h>

#include "def_set.h"
#include "file_no.h"
#include "MessageSender.h"

#define RVS_BAS 1
#define RVS_WRKR 2
#define RVS_HDAY 3
#define RVS_TCRD_BIN 4
#define RVS_IMM_CARNO 5
#define RVS_RFID 6
#define RVS_BEF 7
#define RVS_TCRD_PL 8
#define RVS_TCRD_BL 9
#define RVS_CARNO_DC 10

/*
 *========================================================================
 *
 *   함 수 명 : main
 *   작 성 자 : 오효섭
 *   작 성 일 : 2024.12.27
 *   수 정 일 :
 *   설    명 : 
 *
 *========================================================================
*/

int main(int argc, char *argv[])
{
    char plz_id[2];
    char msg[1024];
    char oMsg[1024];
    int    nResult;
    char   *p;

    p = argv[0];
    nResult = InitMessageSenderConfig(p);

    if (nResult != MQ_ERR_SUCCESS)
    {
        printf("Program terminated!!!\n");
        return -1;
    }

    sprintf(plz_id, "%.2s", PLZ_CODE2);

    sprintf(msg, "%.2s%02d07002100%c", PLZ_CODE2, RVS_CARNO_DC, '\0');
    MessageSender(FNO_RVS_UPT, msg, p, oMsg);
    printf("############ CARNO_DC 개정정보 변경 [%s]\n", oMsg);

    sprintf(msg, "%.2s%02d07002100%c", PLZ_CODE2, RVS_WRKR, '\0');
    MessageSender(FNO_RVS_UPT, msg, p, oMsg);
    printf("############ WORKER 개정정보 변경 [%s]\n", oMsg);

    sprintf(msg, "0091%.2s%.2s%c", PLZ_CODE2, PLZ_CODE2, '\0');
    MessageSender(FNO_WRKRINFO, msg, p, oMsg);
    printf("############ 근무자 송신 결과 [%s]\n", oMsg);

    sprintf(msg, "%.2s%02d07002100%c", PLZ_CODE2, RVS_BAS, '\0');
    MessageSender(FNO_RVS_UPT, msg, p, oMsg);
    printf("############ BASIC 개정정보 변경 [%s]\n", oMsg);

    sprintf(msg, "0092%.2s%.2s%c", PLZ_CODE2, PLZ_CODE2, '\0');
    MessageSender(FNO_BASICTBL, msg, p, oMsg);
    printf("############ 기초 송신 결과 [%s]\n", oMsg);
}
